//
//    FILE: DHT20_test_rp2040.ino
//  AUTHOR: Rob Tillaart
// PURPOSE: Demo for DHT20 I2C humidity & temperature sensor
//     URL: https://github.com/RobTillaart/DHT20
//
//  Always check datasheet - front view
//
//          +--------------+
//  VDD ----| 1            |
//  SDA ----| 2    DHT20   |
//  GND ----| 3            |
//  SCL ----| 4            |
//          +--------------+


#include <Crowbits_DHT20.h>
#include <Wire.h>

Crowbits_DHT20 DHT;  //  or use 2nd I2C interface &Wire1


void setup()
{
  Serial.begin(115200);


  Wire.setSDA(2);  //  select your pin numbers here
  Wire.setSCL(3);  //  select your pin numbers here
  Wire.begin();

  delay(2000);


}


void loop()
{
 

  //  DISPLAY DATA, sensor has only one decimal.
  Serial.print("Humidity: ");
  Serial.print((int)DHT.getHumidity(), 1);
  Serial.print(",\t");
  Serial.print("Temperature: ");
  Serial.println((int)DHT.getTemperature(), 1);

  delay(2000);
}


//  -- END OF FILE --
